[script]
n0=
n1=
n2=#seen on
n3=on 1:JOIN:#: { writeini -n seen\ $+ $nick $+ .ini $nick date I saw $nick joining $chan at $asctime(hh:nntt) on $asctime(dd mmmm yyyy) $+ . }
n4=on 1:QUIT: { writeini -n seen\ $+ $nick $+ .ini $nick date I saw $nick quitting IRC at $asctime(hh:nn tt) on $asctime(dd mmmm yyyy) $+ , with the quit message $1- } 
n5=on 1:PART:#: { writeini -n seen\ $+ $nick $+ .ini $nick date I saw $nick leaving $chan at $asctime(hh:nntt) on $asctime(dd mmmm yyyy) $+ . }
n6=on 1:NICK: { writeini -n seen\ $+ $nick $+ .ini $nick date I last saw $nick changing their nick to $newnick at $asctime(hh:nntt) on $asctime(dd mmmm yyyy) $+ . }
n7=on *:TEXT:!seen*:#: { 
n8=  if ($2 == $me) { .msg $chan If I'm answering the question I'm in the Channel 1 ( $chan ) |   halt } 
n9=  if ($2 ison $chan) && ($nick != $2) { .msg $chan  $2- is in the Channel 1  ( $chan ) |   halt }
n10=  if ($nick == $2) && ($nick ison $chan) { .msg $chan Try looking in a mirror  |   halt }
n11=   if ($exists(seen\ $+ $2 $+ .ini) == $false) { .msg $chan Sorry  $nick  $2- Is not known to me.  |   halt }
n12=  else { .msg $chan $readini seen\ $+ $2 $+ .ini $2 date }
n13=}
n14=on 1:TEXT:!seen*:?: { 
n15=  if ($nick == $2) { .msg $nick  Try looking in a mirror |   halt }
n16= if ($exists(seen\ $+ $2 $+ .ini) == $false) { .msg $nick  Sorry ( $nick )  $2- Is not known to me.  |   halt }
n17=  else { .msg $nick $readini seen\ $+ $2 $+ .ini $2 date }
n18=}
n19=#seen end
